Bug 1093930 - Review Request: php-phpunit-comparator - Compare PHP values for equality
Summary: Review Request: php-phpunit-comparator - Compare PHP values for equality
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-03 12:58 UTC by Remi Collet
Modified: 2014-05-24 18:02 UTC (History)
2 users (show)

Fixed In Version: php-phpunit-comparator-1.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-13 19:21:18 UTC
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2014-05-03 12:58:36 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/13e3236c8d29455826a8e2fc1337d9f01890d67e/php/phpunit/php-phpunit-comparator/php-phpunit-comparator.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-phpunit-comparator-1.0.0-1.remi.src.rpm
Description:
This component provides the functionality to compare PHP values for equality.

Fedora Account System Username: remi

New dependency of PHPUnit 4.1

Comment 1 Haïkel Guémar 2014-05-04 09:12:23 UTC
Since this package complies with Fedora general and PHP guidelines, I hereby approve its inclusion in Fedora Packages Collection.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (2 clause)", "Unknown or generated". 2 files have unknown license.
     Detailed output of licensecheck in /home/haikel/1093930-php-phpunit-
     comparator/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/php/SebastianBergmann
(owned by newer versions of the php-phpunit-* dependencies)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[-]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
Same spec used to build EL5 packages, so I agreed to leave the EL5 stuff.
[x]: Sources contain only permissible code or content.
[-]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: Buildroot is not present
     Note: Buildroot: present but not needed
[-]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[!]: Run phpci static analyze on all php files.
     Note: phpcompatinfo not found. Install php-bartlett-PHP-CompatInfo
     package to get a more comprehensive php review.
     See: url: undefined


Rpmlint
-------
Checking: php-phpunit-comparator-1.0.0-1.fc20.noarch.rpm
          php-phpunit-comparator-1.0.0-1.fc20.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint php-phpunit-comparator
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
php-phpunit-comparator (rpmlib, GLIBC filtered):
    php(language)
    php-date
    php-dom
    php-phpunit-diff
    php-phpunit-exporter
    php-spl



Provides
--------
php-phpunit-comparator:
    php-phpunit-comparator



Source checksums
----------------
https://github.com/sebastianbergmann/comparator/archive/f7069ee51fa9fb6c038e16a9d0e3439f5449dcf2/comparator-1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : de2cd7ea8b3173ee9b455e8799866aa68f389215c2c4e56775428894ee4acb0f
  CHECKSUM(SHA256) upstream package : de2cd7ea8b3173ee9b455e8799866aa68f389215c2c4e56775428894ee4acb0f

Comment 2 Remi Collet 2014-05-04 09:15:10 UTC
New Package SCM Request
=======================
Package Name: php-phpunit-comparator
Short Description: Compare PHP values for equality
Owners: remi
Branches: f20 el6 epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-05-05 11:44:21 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-05-05 13:02:52 UTC
php-phpunit-comparator-1.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-phpunit-comparator-1.0.0-1.fc20

Comment 5 Fedora Update System 2014-05-05 13:03:02 UTC
php-phpunit-comparator-1.0.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-phpunit-comparator-1.0.0-1.el6

Comment 6 Fedora Update System 2014-05-06 00:01:28 UTC
Package php-phpunit-comparator-1.0.0-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing php-phpunit-comparator-1.0.0-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1331/php-phpunit-comparator-1.0.0-1.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-05-13 19:21:18 UTC
php-phpunit-comparator-1.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-05-24 18:02:13 UTC
php-phpunit-comparator-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.